/*
 * Photo Image Print System
 * Copyright (C) Seiko Epson Corporation 2001-2008.
 *
 * This file is part of the `espmnt' program.
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
#ifndef __UTLCMD_H__
#define __UTLCMD_H__
#ifdef __cplusplus
extern "C" {
#endif

/* special command id */
enum E_UCID {
	eUC_UNKNOWN = 0,
};

enum E_UCFTYPE {
	eUCF_ALIACE, eUCF_DESC, eUCF_PRM, eUCF_PRMHELP, eUCF_ERRMSG
};

/* error */
enum UC_ERR {
	UCE_OK = 0,
	UCE_MEMORY,
	UCE_INVALID_COMMAND,
	UCE_INVALID_PARAM,
	UCE_RESOURCE,
};

/* API */
#ifdef UC_LIBEXPORT
int ucCommandID(char *pCmd);
int ucEnumCmd();
int ucEnumCmdNext();
const char *ucGetCmdDesc(int ftype, int cmd);
int ucMakeCommand(int cmd, char *pCmd, int *pCmdSize, const char *param);
int ucGetNextCmd(int cmd);
int ucCanExecute(int cmd, const char *st);
#else

typedef int            (*UC_CommandID   )(char*);
typedef int            (*UC_EnumCmd     )();
typedef int            (*UC_EnumCmdNext )();
typedef const char    *(*UC_GetCmdDesc  )(int, int);
typedef int            (*UC_MakeCommand )(int, char *, int *, const char *);
typedef int		  	   (*UC_GetNextCmd  )(int);
typedef int		  	   (*UC_CanExecute  )(int, const char *);
#endif


#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* __UTLCMD_H__ */

