/*
 * Photo Image Print System
 * Copyright (C) 2002-2005 EPSON AVASYS Corporation.
 * Copyright (C) SEIKO EPSON CORPORATION 2002-2005.
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * As a special exception, EPSON AVASYS Corporation gives permission to
 * link the code of this program with libraries which are covered by
 * the EPSON AVASYS Public License and distribute their linked
 * combinations.  You must obey the GNU General Public License in all
 * respects for all of the code used other than the libraries which
 * are covered by EPSON AVASYS Public License.
 */
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifndef __PIPS_PRTLIB_H__
#define __PIPS_PRTLIB_H__

#include "pipsdef.h"
#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */

    typedef void *HANDLE;

    typedef int (*OPEN_FUNC) (HANDLE*);
    typedef int (*STARTJOB_FUNC) (HANDLE, CapContextList, FILE*);
    typedef int (*ENDJOB_FUNC) (HANDLE);
    typedef int (*STARTPAGE_FUNC) (HANDLE, CapContextList);
    typedef int (*ENDPAGE_FUNC) (HANDLE, int);
    typedef int (*BANDOUT_FUNC) (HANDLE, Rect, Lp_RasterRows, Lp_RasterRows);
    typedef int (*CLOSE_FUNC) (HANDLE);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __PIPS_DEF_H__ */
